Bug 1691117 - Review Request: golang-github-facebookarchive-structtag - parsing of the defacto struct tag style
Summary: Review Request: golang-github-facebookarchive-structtag - parsing of the defa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1670656
TreeView+ depends on / blocked
 
Reported: 2019-03-20 22:21 UTC by Mark Goodwin
Modified: 2019-05-01 01:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-27 01:28:17 UTC
nathans: fedora-review+


Attachments (Terms of Use)

Description Mark Goodwin 2019-03-20 22:21:22 UTC
Spec URL: https://mgoodwin.fedorapeople.org/golang/structtag/golang-github-facebookarchive-structtag.spec
SRPM URL: https://mgoodwin.fedorapeople.org/golang/structtag/golang-github-facebookarchive-structtag-0-0.1.20190320git217e25f.fc29.src.rpm
Description: Package structtag provides parsing of the defacto struct tag style
Fedora Account System Username: mgoodwin

Comment 1 Mark Goodwin 2019-03-20 22:28:06 UTC
koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=33656278

Comment 2 Nathan Scott 2019-03-21 21:18:24 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD 3-clause "New" or "Revised" License", "Unknown or
     generated". 4 files have unknown license. Detailed output of
     licensecheck in /home/nathans/1691117-golang-github-facebookarchive-
     structtag/licensecheck.txt
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/gocode
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/gocode/src/github.com(golang-github-davecgh-go-spew-devel,
     golang-github-macaron-session-devel, golang-github-opentracing-devel,
     golang-github-rainycape-unidecode-devel, golang-github-lib-pq-devel,
     golang-github-bradfitz-gomemcache-devel, golang-github-macaron-devel,
     golang-github-teris-io-shortid-devel, golang-github-stack-devel,
     golang-github-bufio-devel, golang-github-mattn-go-colorable-devel,
     golang-github-smartystreets-assertions-devel, golang-github-redis-
     devel, golang-github-unknwon-com-devel, golang-github-mattn-go-isatty-
     devel, golang-github-smartystreets-goconvey-devel, golang-github-kr-
     pty-devel, golang-github-stretchr-testify-devel, golang-github-
     pmezard-go-difflib-devel, golang, golang-github-kr-text-devel, golang-
     github-klauspost-compress-devel, golang-github-jtolds-gls-devel,
     golang-github-kr-pretty-devel, golang-github-go-sql-driver-mysql-
     devel)
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-facebookarchive-structtag-devel-0-0.1.20190320git217e25f.fc29.noarch.rpm
          golang-github-facebookarchive-structtag-0-0.1.20190320git217e25f.fc29.src.rpm
golang-github-facebookarchive-structtag-devel.noarch: W: spelling-error Summary(en_US) defacto -> defector
golang-github-facebookarchive-structtag-devel.noarch: W: spelling-error Summary(en_US) struct -> strict, strut, struck
golang-github-facebookarchive-structtag-devel.noarch: W: spelling-error %description -l en_US defacto -> defector
golang-github-facebookarchive-structtag-devel.noarch: W: spelling-error %description -l en_US struct -> strict, strut, struck
golang-github-facebookarchive-structtag-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/facebookarchive/structtag/.goipath
golang-github-facebookarchive-structtag.src: W: spelling-error Summary(en_US) defacto -> defector
golang-github-facebookarchive-structtag.src: W: spelling-error Summary(en_US) struct -> strict, strut, struck
golang-github-facebookarchive-structtag.src: W: spelling-error %description -l en_US defacto -> defector
golang-github-facebookarchive-structtag.src: W: spelling-error %description -l en_US struct -> strict, strut, struck
2 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
golang-github-facebookarchive-structtag-devel.noarch: W: spelling-error Summary(en_US) defacto -> defector
golang-github-facebookarchive-structtag-devel.noarch: W: spelling-error Summary(en_US) struct -> strict, strut, struck
golang-github-facebookarchive-structtag-devel.noarch: W: spelling-error %description -l en_US defacto -> defector
golang-github-facebookarchive-structtag-devel.noarch: W: spelling-error %description -l en_US struct -> strict, strut, struck
golang-github-facebookarchive-structtag-devel.noarch: W: invalid-url URL: https://github.com/facebookarchive/structtag <urlopen error [Errno -2] Name or service not known>
golang-github-facebookarchive-structtag-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/facebookarchive/structtag/.goipath
1 packages and 0 specfiles checked; 0 errors, 6 warnings.



Requires
--------
golang-github-facebookarchive-structtag-devel (rpmlib, GLIBC filtered):



Provides
--------
golang-github-facebookarchive-structtag-devel:
    golang(github.com/facebookarchive/structtag)
    golang(github.com/facebookarchive/structtag)(commit=217e25fb96916cc60332e399c9aa63f5c422ceed)
    golang-github-facebookarchive-structtag-devel
    golang-ipath(github.com/facebookarchive/structtag)
    golang-ipath(github.com/facebookarchive/structtag)(commit=217e25fb96916cc60332e399c9aa63f5c422ceed)



Source checksums
----------------
https://github.com/facebookarchive/structtag/archive/217e25fb96916cc60332e399c9aa63f5c422ceed/structtag-217e25fb96916cc60332e399c9aa63f5c422ceed.tar.gz :
  CHECKSUM(SHA256) this package     : 661c80223c8452daf36b40c4d303931c18bdad6e5f0ffe8fe6cc220db5236f6d
  CHECKSUM(SHA256) upstream package : 1fda834c5200099f2122fd7da11b9b412d41e6ff0b6dd9a2073bfabad336d7d3
However, diff -r shows no differences


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1691117
Buildroot used: fedora-29-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Gwyn Ciesla 2019-03-26 13:02:24 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-facebookarchive-structtag

Comment 4 Fedora Update System 2019-03-27 00:53:51 UTC
golang-github-facebookarchive-structtag-0-0.1.20190327git217e25f.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a0628c7521

Comment 5 Fedora Update System 2019-03-27 01:02:37 UTC
golang-github-facebookarchive-structtag-0-0.1.20190327git217e25f.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3a0cd668ad

Comment 6 Fedora Update System 2019-03-27 01:27:14 UTC
golang-github-facebookarchive-structtag-0-0.1.20190327git217e25f.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-da1080ff77

Comment 7 Fedora Update System 2019-03-27 04:12:02 UTC
golang-github-facebookarchive-structtag-0-0.1.20190327git217e25f.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a0628c7521

Comment 8 Fedora Update System 2019-03-27 04:35:02 UTC
golang-github-facebookarchive-structtag-0-0.1.20190327git217e25f.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3a0cd668ad

Comment 9 Fedora Update System 2019-03-27 18:18:10 UTC
golang-github-facebookarchive-structtag-0-0.1.20190327git217e25f.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-da1080ff77

Comment 10 Fedora Update System 2019-04-13 00:02:49 UTC
golang-github-facebookarchive-structtag-0-0.1.20190327git217e25f.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-04-13 06:33:20 UTC
golang-github-facebookarchive-structtag-0-0.1.20190327git217e25f.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-04-13 15:31:54 UTC
golang-github-facebookarchive-structtag-0-0.1.20190327git217e25f.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-04-29 00:32:13 UTC
golang-github-facebookarchive-structtag-0-0.2.20190327git217e25f.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-26d833ed3b

Comment 14 Fedora Update System 2019-04-29 00:32:49 UTC
golang-github-facebookarchive-structtag-0-0.2.20190327git217e25f.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9cb0e42d10

Comment 15 Fedora Update System 2019-04-29 06:45:05 UTC
golang-github-facebookarchive-structtag-0-0.3.20190327git217e25f.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-63ac54948a

Comment 16 Fedora Update System 2019-04-29 06:45:40 UTC
golang-github-facebookarchive-structtag-0-0.3.20190327git217e25f.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-613dbbeb1c

Comment 17 Fedora Update System 2019-04-29 06:46:48 UTC
golang-github-facebookarchive-structtag-0-0.3.20190327git217e25f.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ce06a50d01

Comment 18 Fedora Update System 2019-04-30 02:48:55 UTC
golang-github-facebookarchive-structtag-0-0.3.20190327git217e25f.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-63ac54948a

Comment 19 Fedora Update System 2019-04-30 03:40:06 UTC
golang-github-facebookarchive-structtag-0-0.3.20190327git217e25f.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-613dbbeb1c

Comment 20 Fedora Update System 2019-04-30 15:01:14 UTC
golang-github-facebookarchive-structtag-0-0.3.20190327git217e25f.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ce06a50d01

Comment 21 Fedora Update System 2019-05-01 00:40:43 UTC
golang-github-facebookarchive-structtag-0-0.3.20190327git217e25f.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2019-05-01 01:23:47 UTC
golang-github-facebookarchive-structtag-0-0.3.20190327git217e25f.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2019-05-01 01:49:28 UTC
golang-github-facebookarchive-structtag-0-0.3.20190327git217e25f.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.